gsasl_base64_decode(3)

NAME
gsasl_base64_decode - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_base64_decode(char const * src, char * target, size_t targsize);

ARGUMENTS

char const * src
    input byte array

char * target
    output byte array

size_t targsize
    size of output byte array

DESCRIPTION
Decode Base64 data. Skips all whitespace anywhere. Converts characters, four at a time, starting at (or after) src from Base64 numbers into three 8 bit bytes in the target area.

RETURN VALUE
Returns the number of data bytes stored at the target, or -1 on error.

DEPRECATED
Use gsasl_base64_from() instead.

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.